Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cql
Class CreateIndexStatement

    java.lang.Object
      org.apache.cassandra.cql.CreateIndexStatement

    public class CreateIndexStatement

extends java.lang.Object

A `CREATE INDEX` statement parsed from a CQL query.

Constructor Summary
`CreateIndexStatement(java.lang.String indexName, java.lang.String columnFamily, Term columnName)`

Method Summary
`java.lang.String` | `getColumnFamily()` Column family namespace.
`Term` | `getColumnName()` Column name to index.
`java.lang.String` | `getIndexName()` Index name (or null).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateIndexStatement

    public CreateIndexStatement(java.lang.String indexName,
                                java.lang.String columnFamily,
                                Term columnName)

Method Detail

### getColumnFamily

    public java.lang.String getColumnFamily()

  Column family namespace.

### getColumnName

    public Term getColumnName()

  Column name to index.

### getIndexName

    public java.lang.String getIndexName()

  Index name (or null).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation